com.saxonica.ptree

## Class PackageURIResolver

- java.lang.Object
- - net.sf.saxon.lib.StandardURIResolver
  - - com.saxonica.ptree.PackageURIResolver

- All Implemented Interfaces:
    Serializable, URIResolver, NonDelegatingURIResolver

      public class PackageURIResolver
      extends StandardURIResolver

  URI resolver used for packaged styleeheets: both for the "principal" stylesheet URI (which is a reference to a ZIP file, implicitly to the module 0.pxsl within that ZIP file) and to other stylesheet modules which are references to other entries in the ZIP file. The URI resolver is concerned not so much with identifying the location of the file, as with adding a preprocessing filter to deobfuscate the content.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.lib.StandardURIResolver

      `recognizeQueryParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageURIResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Source` | `resolve(String href, String base)` Resolve a URI

    - ### Methods inherited from class net.sf.saxon.lib.StandardURIResolver

      `getConfiguration, getPlatform, getPTreeSource, queryParametersAreRecognized, setConfiguration, setRecognizeQueryParameters, setSAXInputSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageURIResolver

          public PackageURIResolver()

  - ### Method Detail

    - #### resolve

          public Source resolve(String href,
                       String base)
                         throws XPathException

      Resolve a URI
      Specified by:
        `resolve` in interface `URIResolver`
      Overrides:
        `resolve` in class `StandardURIResolver`
      Parameters:
        `href` - The relative or absolute URI. May be an empty string. May contain a fragment identifier starting with "#", which must be the value of an ID attribute in the referenced XML document.
        `base` - The base URI that should be used. May be null if uri is absolute.
      Returns:
        a Source object representing an XML document
      Throws:
        `XPathException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.